/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client;

import org.gridprovenance.client.exception.CSLException;

/**
 * GlobalPAssertionKey Interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public interface GlobalPAssertionKey {
	
	    
	/**
	 * Get the InteractionKey
	 * @return InteractionKey
	 */
    public InteractionKey getInteractionKey () throws CSLException;


	/**
	 * Get the ViewKind
	 * @return ViewKind
	 */
    public ViewKind getViewKind () throws CSLException;

	/**
	 * Get the LocalPAssertionId
	 * @return int
	 */
    public String getLocalPAssertionId () throws CSLException;
}
