/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client;

import org.apache.axis.message.addressing.EndpointReference;
import org.gridprovenance.client.exception.CSLException;

/**
 * PQuery Interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public interface PQuery {
	    
	/**
	 * Get the pQueryPortAddress
	 * @return pQueryPortAddress As EndpointReference
	 */
    public EndpointReference getPQueryPortAddress () throws CSLException;

	/**
	 * XQuery to the Provenance Service
	 */
    public PQueryResult execute () throws Exception, CSLException;
}
