/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client;

import org.apache.axis.message.MessageElement;
import org.w3c.dom.Document;
import org.gridprovenance.client.exception.CSLException;

/**
 * PQueryResult Interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public interface PQueryResult {

	/**
	 * printOut the PQuery Result
	 */
    public void printOut () throws CSLException;
    
    /**
     * get the XQery Result
     */
    public MessageElement[] getAny() throws CSLException;
    
    /**
     * get the PQuery Result as Document
     */
    public Document [] getAsDocument () throws Exception, CSLException;

}
