/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client;

import org.apache.axis.message.addressing.EndpointReference;
import java.net.URI;
import org.gridprovenance.client.exception.CSLException;


/**
 * RecordPort Interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public interface RecordPort {

	/**
	 * get the Record Port as EndpointReference
	 */
    public EndpointReference getRecordPort() throws CSLException;
    
    /**
     * set the Record Port by giving EndpointReference
     */
    public void setRecordPort(EndpointReference recordPortEndpointReference) throws CSLException;
        
    /**
     * set the Record Port by giving URI
     */
    public void setRecordPort(URI recordPortURI) throws Exception, CSLException;

    /**
     * set the Record Port by giving String
     */
    public void setRecordPort(String recordPortString) throws Exception, CSLException;
}