/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.impl;

import org.gridprovenance.client.GlobalPAssertionKey;
import org.gridprovenance.client.ViewKind;
import org.gridprovenance.client.InteractionKey;
import org.gridprovenance.client.exception.CSLException;

/**
 * A implement of GlobalPAssertionKey Interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public class GlobalPAssertionKeyImpl implements GlobalPAssertionKey {
    private InteractionKey interactionKey;
    private ViewKind viewKind;
    private String localPAssertionId;
    
    public GlobalPAssertionKeyImpl () {    	
    }

    public GlobalPAssertionKeyImpl (InteractionKey ik, ViewKind vk, String lpid) {
    	this.interactionKey = ik;
    	this.viewKind = vk;
    	this.localPAssertionId = lpid;
    }
    
	/**
	 * Get the InteractionKey
	 * @return InteractionKey
	 */
    public InteractionKey getInteractionKey ()
    throws CSLException {
    	return (this.interactionKey);
    }

	/**
	 * Get the ViewKind
	 * @return ViewKind
	 */
    public ViewKind getViewKind ()
    throws CSLException {
    	return (this.viewKind);
    }

	/**
	 * Get the LocalPAssertionId
	 * @return int
	 */
    public String getLocalPAssertionId ()
    throws CSLException {
    	return (this.localPAssertionId);
    }
}
