/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.impl;

import java.util.Map;

import org.apache.axis.message.addressing.EndpointReference;
import org.gridprovenance.client.PQueryResult;
import org.gridprovenance.client.generated.ProvenanceServiceAddressingLocator;
import org.gridprovenance.client.generated.pquery.PQueryPortType;
import org.gridprovenance.client.exception.CSLException;

/**
 * An implement of Query interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public class PQueryImpl implements org.gridprovenance.client.PQuery {
	private EndpointReference pQueryPortAddress;
	private String xPath1;
	private Map namespace1;
	private String xPath2;
	private Map namespace2;

   public PQueryImpl() {
   }
   
   public PQueryImpl(String xPath1, String xPath2, Map namespace, EndpointReference pQueryPortAddress){
	   this.xPath1 = xPath1;
	   this.xPath2 = xPath2;
	   this.namespace1 = namespace;
	   this.namespace2 = namespace;
	   this.pQueryPortAddress = pQueryPortAddress;
   }
   
   public PQueryImpl(String xPath1, Map namespace1, String xPath2, Map namespace2, EndpointReference pQueryPortAddress){
	   this.xPath1 = xPath1;
	   this.xPath2 = xPath2;
	   this.namespace1 = namespace1;
	   this.namespace2 = namespace2;
	   this.pQueryPortAddress = pQueryPortAddress;
   }
   
   public EndpointReference getPQueryPortAddress (){
	   return(this.pQueryPortAddress);	   
   }

	public PQueryResult execute ()
	throws Exception, CSLException {
		ProvenanceServiceAddressingLocator qlocator = new ProvenanceServiceAddressingLocator();
		PQueryPortType pqpt = qlocator.getProveanceQueryPort(this.pQueryPortAddress);
		org.gridprovenance.client.generated.pquery.ProvenanceQuery pquery = new org.gridprovenance.client.generated.pquery.ProvenanceQuery();
		PQueryResult pqResult = new PQueryResultImpl();
		try {
			org.gridprovenance.client.generated.pquery.ProvenanceQueryResult provenanceqResult =  pqpt.provenanceQuery(pquery);
			pqResult = new PQueryResultImpl(); //Should convert provenanceResult into pqResult
		} catch (Exception e) {
			e.printStackTrace();
		}
		return pqResult;
	}

}
