/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.impl;

import java.net.URI;
import org.apache.axis.message.addressing.EndpointReference;
import org.gridprovenance.client.exception.CSLException;

/**
 * Implement of PQueryPort Interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public class PQueryPortImpl implements org.gridprovenance.client.PQueryPort {
	private EndpointReference pQueryPort;
	
	public PQueryPortImpl(){
	}

	public PQueryPortImpl(EndpointReference pQueryPortEndpointReference){
    	this.pQueryPort = pQueryPortEndpointReference;
	}
	
	public PQueryPortImpl(URI pQueryPortURI)
    throws Exception, CSLException {
		this.pQueryPort = new EndpointReference (pQueryPortURI.toString());
	}

	public PQueryPortImpl(String pQueryPortString)
    throws Exception, CSLException {
			this.pQueryPort = new EndpointReference (pQueryPortString);
	}

    public EndpointReference getPQueryPort()
    throws CSLException {
    	return (this.pQueryPort);
    }
    
    public void setPQueryPort(EndpointReference pQueryPortEndpointReference)
    throws CSLException {
    	this.pQueryPort = pQueryPortEndpointReference;
    }
    
    public void setPQueryPort(URI pQueryPortURI)
    throws Exception, CSLException {
		this.pQueryPort = new EndpointReference (pQueryPortURI.toString());
    }

    public void setPQueryPort(String pQueryPortString)
    throws Exception, CSLException {
		this.pQueryPort = new EndpointReference (pQueryPortString);
    }
}