/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.impl;

import java.net.URI;
import org.apache.axis.message.addressing.EndpointReference;
import org.gridprovenance.client.exception.CSLException;

/**
 * Implement of RecordPort Interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public class RecordPortImpl implements org.gridprovenance.client.RecordPort {
	private EndpointReference recordPort;
	
	public RecordPortImpl(){
	}

	public RecordPortImpl(EndpointReference recordPortEndpointReference){
    	this.recordPort = recordPortEndpointReference;
	}
	
	public RecordPortImpl(URI recordPortURI)
    throws Exception, CSLException {
		this.recordPort = new EndpointReference (recordPortURI.toString());
	}

	public RecordPortImpl(String recordPortString)
    throws Exception, CSLException {
			this.recordPort = new EndpointReference (recordPortString);
	}

    public EndpointReference getRecordPort()
    throws CSLException {
    	return (this.recordPort);
    }
    
    public void setRecordPort(EndpointReference recordPortEndpointReference)
    throws CSLException {
    	this.recordPort = recordPortEndpointReference;
    }
    
    public void setRecordPort(URI recordPortURI)
    throws Exception, CSLException {
		this.recordPort = new EndpointReference (recordPortURI.toString());
    }

    public void setRecordPort(String recordPortString)
    throws Exception, CSLException {
		this.recordPort = new EndpointReference (recordPortString);
    }
}