/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.relationships;

import java.net.URI;
import org.gridprovenance.client.GlobalPAssertionKey;

/**
 * RelationSubject class 
 *
 * @author Sheng Jiang
 */

public class RelationSubject {
	private DataAccessor subjectDA;
	private URI subjectParameterName;
	private GlobalPAssertionKey subjectGPAK;

	public RelationSubject (){
	}

	public RelationSubject (DataAccessor subjectDA, URI subjectPAParameterName, GlobalPAssertionKey subjectGPAK){
		this.subjectDA = subjectDA;
		this.subjectParameterName = subjectPAParameterName;
		this.subjectGPAK = subjectGPAK;
	}
	
	public DataAccessor getDataAccessor() {
		return (this.subjectDA);
	}
	
	public URI getParameterName() {
		return (this.subjectParameterName);
	}
	
	public GlobalPAssertionKey getGPAK () {
		return (this.subjectGPAK);
	}
}
