package org.gridprovenance.client.test;

import org.gridprovenance.client.ProvenanceService;
import org.gridprovenance.client.XQuery;
import org.gridprovenance.client.RecordPort;
import org.gridprovenance.client.XQueryPort;
import org.gridprovenance.client.PQueryPort;
import org.gridprovenance.client.XQueryResult;
import org.gridprovenance.client.impl.RecordPortImpl;
import org.gridprovenance.client.impl.XQueryPortImpl;
import org.gridprovenance.client.impl.PQueryPortImpl;
import org.gridprovenance.client.impl.ProvenanceServiceImpl;
import org.gridprovenance.client.exception.CSLException;


public class XQueryExample
{
	public static void main(String[] args) throws Exception, CSLException {
		if (args.length != 1) {
			System.out.println (" Usage:\tjava org.gridprovenance.test.XQueryExample <provenance store url>");
			System.out.println ("\t\texample url: http://localhost:8080/preserv/xquery");
			System.out.println ("\t\tThere should be NO trailing / behind xquery");
			System.exit(0);
		}

		RecordPort recordPort = new RecordPortImpl();
		XQueryPort xQueryPort = new XQueryPortImpl(args[0]);
		PQueryPort pQueryPort = new PQueryPortImpl();
		//In order to create a ProvenanceService, all three type of ports should be givin.
		//Even recordPort and pQueryPort are not used.

		ProvenanceService qps = new ProvenanceServiceImpl (recordPort, xQueryPort, pQueryPort);
		XQuery xQueryExample = qps.newXQuery("<result>{for $n in $ps:pstruct return $n}</result>");
		
		XQueryResult xqResult = xQueryExample.execute();
		xqResult.printOut();
		
		System.out.println("Done!");
	}
}
