/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.utilities;

import org.apache.axis.message.MessageElement;
import org.w3c.dom.Element;
import org.gridprovenance.client.generated.pstruct.Address;
import org.gridprovenance.client.utilities.ElementUtil;
import org.apache.axis.message.addressing.EndpointReference;
import org.gridprovenance.client.exception.CSLException;

/**
 * A utility class for making a new instance of <p> 
 * org.gridprovenance.client.generated.pstruct.Address<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public class AddressUtil {
    
    /**
     * Convert an string into Address type
     * 
     * @return Address
     */
    public static Address newAddress (EndpointReference addressRef)
    throws Exception, CSLException {
        Element addressBody = ElementUtil.newElement("<URL>" + addressRef.getAddress() + "</URL>");

        MessageElement[] addressArray = new MessageElement[1];
        addressArray[0] = new MessageElement(addressBody);
        Address address = new Address (addressArray);

        return address;
    }

    /**
     * Convert an address into EndpointReference
     * 
     * @return EndpointReference
     */
    public static EndpointReference toEndpointReference(Address inputAddress)
    throws Exception, CSLException {
    	EndpointReference addressRef = new EndpointReference("");
    	return (addressRef);
    }
}
