/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.utilities;

import org.gridprovenance.client.generated.pstruct.DataAccessor;
import org.apache.axis.message.MessageElement;
import org.w3c.dom.Element;
import org.gridprovenance.client.utilities.ElementUtil;
import org.gridprovenance.client.exception.CSLException;

/**
 * A Utility class for making a new instance of <p> 
 * org.gridprovenance.client.generated.pstruct.DataAccessor<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public class DataAccessorUtil {
    
    /**
     * Convert an DataAccessor into DataAccessor (pstruct) type
     * 
     * @return DataAccessor
     */
    public static DataAccessor toPStructIK(org.gridprovenance.client.relationships.DataAccessor da)
    throws Exception, CSLException {
    	Element xPathE = ElementUtil.newElement("<xPath>" + da.getDataAccessor() + "</xPath>");
    	MessageElement[] xPathME = new MessageElement [1];
    	xPathME[0] = new MessageElement(xPathE);
    	DataAccessor daPstruct = new DataAccessor(xPathME);
    	return daPstruct;
    }
}
