/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.utilities;

import org.gridprovenance.client.generated.pstruct.InteractionKey;
import org.gridprovenance.client.generated.pstruct.Address;
import org.apache.axis.types.URI;
import org.gridprovenance.client.exception.CSLException;

/**
 * A Utility class for making a new instance of <p> 
 * org.gridprovenance.client.generated.pstruct.InterctionKey<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public class InteractionKeyUtil {
    
    /**
     * Convert an InteractionKey into InteractionKey (pstruct) type
     * 
     * @return Address
     */
    public static InteractionKey toPStructIK(org.gridprovenance.client.InteractionKey ik)
    throws Exception, CSLException {
        Address messageSinkAddress = AddressUtil.newAddress (ik.getMsgSink ());
        Address messageSourceAddress = AddressUtil.newAddress (ik.getMsgSource ());
        URI axisInteractionId = URIUtil.toAxisURI(ik.getInteractionId ());
    	InteractionKey ikPStruct = new InteractionKey(axisInteractionId, messageSinkAddress,
    	           messageSourceAddress);
    	return ikPStruct;
    }
}
